#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"


// CDlg_MainHeating dialog

class CDlg_MainHeating : public CDialog
{
	DECLARE_DYNAMIC(CDlg_MainHeating)

public:
	CDlg_MainHeating(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_MainHeating();

// Dialog Data
	enum { IDD = IDD_MAINHEATING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxes();
	afx_msg void DisplayValuesForMainHeatinDlg();
	afx_msg void ApplyEffeciencyAdjustmentsToMainHeatingDlg();
	afx_msg void ReadInputsFromMainHeatingDlg();
	afx_msg void ReadBoilerEffFromVectors();
	afx_msg void DetermineSecHeatFraction();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelMainHeating;
	CColorStatic m_labelBoilerRef;
	CColorStatic m_labelBoilerModel;
	CColorStatic m_labelInterlock;
	CColorStatic m_labelCompensator;
	CColorStatic m_labelNote;
	CStatic m_labelBoiler;
	CStatic m_labelEmitter;
	CStatic m_labelPump;
	CStatic m_labelSystem;

	CComboBox m_comboElecTariff;
	CComboBox m_comboMHType;
	CComboBox m_comboEffFrom;
	CComboBox m_comboBoilerType;
	CComboBox m_comboFuel;
	CComboBox m_comboSecBiolerFuel;
	CComboBox m_comboFanFlue;
	CComboBox m_comboSystem;	
	CComboBox m_comboControls;
	CComboBox m_comboEmitter;
	CComboBox m_comboInterlock;
	CComboBox m_comboCompensator;
	CComboBox m_comboPump;
	CComboBox m_comboTestMethod;
	
	CString str_comboElecTariff;
	CString str_comboMHType;
	CString str_comboEffFrom;
	CString str_comboBoilerType;
	CString str_comboFuel;
	CString str_comboSecBiolerFuel;
	CString str_comboFanFlue;
	CString str_comboSystem;
	CString str_comboControls;
	CString str_comboEmitter;
	CString str_comboInterlock;
	CString str_comboCompensator;
	CString str_comboPump;
	CString str_editManufactDesc;
	CString str_comboTestMethod;
	CString str_editEff;
		
	CReadOnlyEdit m_editManufactDesc;
	CReadOnlyEdit m_editEff;
	CEdit m_editlBoilerRef;
	CEdit m_editlBoilerModel;
	CEdit m_editFractionSupplied;

	CString str_editlBoilerRef;
	CString str_editlBoilerModel;
	CString str_editFractionSupplied;
	
	afx_msg void OnCbnSelchangeCombocontrols();
	afx_msg void OnCbnSelchangeComboMhtype();
	afx_msg void OnCbnSelchangeComboElectariff();
	afx_msg void OnCbnSelchangeComboMhefffrom();
	afx_msg void OnCbnSelchangeComboMhboilertype();
	afx_msg void OnCbnSelchangeComboMhfuel();
	afx_msg void OnCbnSelchangeComboSecboilerfuel();
	afx_msg void OnCbnSelchangeComboFanflue();
	afx_msg void OnCbnSelchangeCombosystem();
	afx_msg void OnCbnSelchangeComboemitter();
	afx_msg void OnCbnSelchangeCombointerlock();
	afx_msg void OnCbnSelchangeCombocompensator();
	afx_msg void OnCbnSelchangeCombopump();
	afx_msg void OnEnChangeEditmanufactdescription();
	afx_msg void OnCbnSelchangeCombotestmethod();
	afx_msg void OnEnChangeEditeff();
	afx_msg void OnEnChangeEditeff2();
	afx_msg void OnEnChangeEditboilerref();
	afx_msg void OnEnChangeEditboilermodel();
	virtual BOOL PreTranslateMessage(MSG* pMsg);	
	CColorStatic m_labelTariff;
};


